%define	name	modplug-xmms
%define	version	2.03
%define release 4mdk
%define major 0
%define libname %mklibname modplug %major

Name:		%{name}
Summary:	Modplug Plugin for XMMS
Version:	%{version}
Release:	%{release}
License:	Public Domain
Group:		Sound
URL:		http://modplug-xmms.sourceforge.net/
Source:		modplugxmms-%{version}.tar.bz2
Patch: 		modplugxmms-2.02-fix.patch.bz2
Patch1:		modplugxmms-2.03-noflush.patch.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}
Requires:	xmms >= 1.0.0
BuildPrereq:	libxmms1-devel
BuildRequires:  libgtk+1.2-devel
BuildConflicts: modplug-xmms < 2.0

%description
Modplug-XMMS is a fully featured, complete input plugin for XMMS which
plays mod-like music formats. It is based on the mod rendering code from
ModPlug, a popular windows mod player written by Olivier Lapicque,
found at http://www.modplug.com

%package -n %{libname}
Group:		System/Libraries
Summary:	Modplug shared library

%description -n %{libname}
This is the shared library part of the Modplug music player.

%package -n %{libname}-devel
Group:		Development/C++
Summary:	Header files for compiling against Modplug library.
Provides:	libmodplug-devel = %version-%release
Requires:	%{libname} = %version-%release

%description -n %{libname}-devel
This is the development package of libmodplug. Install it if you want to 
compile programs using this library.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n modplugxmms-%{version}
%patch -p1
%patch1

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT 
rm -f %buildroot%_libdir/xmms/Input/libmodplugxmms.la

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%files -n %{libname}
%defattr(-,root,root)
%doc libmodplug/README COPYING
%{_libdir}/libmodplug.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%doc libmodplug/changes.txt COPYING
%{_libdir}/libmodplug.la
%{_libdir}/libmodplug.so
%{_includedir}/modplug.h

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README TODO
%{_libdir}/xmms/Input/libmodplugxmms.so

%changelog
* Tue Mar 11 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.03-4mdk
- mklibname macro

* Tue Mar 11 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.03-3mdk
- fix buildrequires

* Sat Dec 21 2002 Gtz Waschk <waschk@linux-mandrake.com> 2.03-2mdk
- fix build for rpm 
- patch1: don't flush output device (compatibility with the crossfader) 

* Wed Oct 16 2002 Gtz Waschk <waschk@linux-mandrake.com> 2.03-1mdk
- autoconf 2.5 macro
- use included configure script
- 2.03

* Fri Aug 16 2002 Gtz Waschk <waschk@linux-mandrake.com> 2.02-3mdk
- gcc 3.2-0.3mdk build

* Mon Jul 29 2002 Gtz Waschk <waschk@linux-mandrake.com> 2.02-2mdk
- gcc 3.2 build

* Tue Jul 23 2002 Gtz Waschk <waschk@linux-mandrake.com> 2.02-1mdk
- 2.02
- drop pstreams and patch, not needed anymore
- use bugfix patch from the author
- enable nls to make it build

* Tue Jun 18 2002 Gtz Waschk <waschk@linux-mandrake.com> 2.01-1mdk
- 2.01
- drop patch1

* Sun Jun  9 2002 Gtz Waschk <waschk@linux-mandrake.com> 2.0-2mdk
- gcc 3.1 port (bzip2 and gzip support currently broken)

* Mon Oct 29 2001 Gtz Waschk <waschk@linux-mandrake.com> 2.0-1mdk
- split library package
- patched for creating versioned library libmodplug.so.0
- updated files section
- BuildConflicts older modplug-xmms
- 2.0
- changed License tag, now it's Public Domain

* Tue Aug 21 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.5a-3mdk
- too fast

* Tue Aug 21 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.5a-2mdk
- rebuild

* Tue Feb 20 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.5a-1mdk
- udpated by Gtz Waschk <waschk@linux-mandrake.com> :
	- 1.5a

* Fri Jan 26 2001 Gtz Waschk <waschk@linux-mandrake.com> 1.5-1mdk
- 1.5
- gcc 2.96 again
- make rpmlint happy by renaming spec file

* Mon Jan 22 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.3a-1mdk
- uploaded to 1.3
- build with egcs

* Mon Jul 17 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2-2mdk
- took contributed SRPM from Gtz Waschk <waschk@linux-mandrake.com>
- more macros

* Sun Jul 16 2000 Gtz Waschk <waschk@linux-mandrake.com> 1.2-1mdk
- initial Mandrake release

